Skip to content

Update 'Externalsupplier'

Request

Security
customer_id and application_id and service_id and service_version_id and client_ct and client_object_id and client_secret
Path
pkstringwrite-onlyrequired
Bodyapplication/json
namestring, <= 255 charactersrequired
errands_emailstring, (email), <= 254 charactersrequired
receive_email_notificationsboolean
custom_idstring or null, <= 128 characters
org_nostring or null, (luhn), [ 10 .. 11 ] characters
contact_first_namestring or null, <= 255 characters
contact_last_namestring or null, <= 255 characters
invoice_addressobject or null(Address)
receive_sms_notificationsboolean
organizationobject or null(Organization)
contact_phone_numberstring or null, <= 36 characters'^\+?1?\d{7,15}$'
contact_emailstring or null, (email), <= 254 characters
errands_phone_numberstring or null, <= 36 characters'^\+?1?\d{7,15}$'
PATCH
/errands/suppliers/externalsupplier/{pk}/
curl -i -X PATCH \
  'https://dev.api.pigello.io/errands/suppliers/externalsupplier/{pk}/' \
  -H 'Content-Type: application/json' \
  -H 'X-PIGELLO-APPLICATION-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-CT: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-ENTITY: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-SECRET: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CUSTOMER-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-VERSION-ID: YOUR_API_KEY_HERE' \
  -d '{
    "receive_email_notifications": true,
    "custom_id": "string",
    "org_no": "stringstri",
    "contact_first_name": "string",
    "contact_last_name": "string",
    "invoice_address": {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
    },
    "receive_sms_notifications": true,
    "organization": {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
    },
    "name": "string",
    "contact_phone_number": "string",
    "contact_email": "user@example.com",
    "errands_phone_number": "string",
    "errands_email": "user@example.com"
  }'

Responses

Successful update

Bodyapplication/json
namestring, <= 255 charactersrequired
idstring, (uuid)read-onlyrequired

Additional Validation Information:

Must be unique

errands_emailstring, (email), <= 254 charactersrequired
receive_email_notificationsboolean
custom_idstring or null, <= 128 characters
org_nostring or null, (luhn), [ 10 .. 11 ] characters
contact_first_namestring or null, <= 255 characters
contact_last_namestring or null, <= 255 characters
invoice_addressobject or null(Address)
created_atstring, (date-time)read-only
pending_monitor_approval_amountanyread-only
receive_sms_notificationsboolean
organizationobject or null(Organization)
contact_phone_numberstring or null, <= 36 characters'^\+?1?\d{7,15}$'
contact_emailstring or null, (email), <= 254 characters
errands_phone_numberstring or null, <= 36 characters'^\+?1?\d{7,15}$'
Response
{ "receive_email_notifications": true, "custom_id": "string", "org_no": "stringstri", "contact_first_name": "string", "contact_last_name": "string", "invoice_address": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "created_at": "2019-08-24T14:15:22Z", "pending_monitor_approval_amount": null, "receive_sms_notifications": true, "organization": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "name": "string", "contact_phone_number": "string", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "contact_email": "user@example.com", "errands_phone_number": "string", "errands_email": "user@example.com" }